roar_simple_new_stream(3)

NAME
roar_simple_new_stream, roar_simple_new_stream_obj - Create a new stream via RoarAudio

SYNOPSIS

#include <roaraudio.h>

int roar_simple_new_stream(struct roar_connection * con, int rate, int channels, int bits, int codec, int dir);

int roar_simple_new_stream_obj(struct roar_connection * con, struct roar_stream * s, int rate, int channels, int bits, int codec, int dir);

DESCRIPTION
Opens a new stream to the sound server as a independet file handle (not an execed one). This is useful if you still want some meta data or the volume to be updated after the stream is open.

This functions are marked obsolete and will be removed in later releases. Please upgrade to VS API. See roar_vs_new_simple(3).

PARAMETERS

con The "parent" connection. This is a valid open control connection as opend via roar_simple_connect(3).

s   The stream object to be updated to corresponde to the new stream. This is useful if use want to update some meta data after the stream has be opened as you can use all control commands on this object.

rate, channels, bits, codec
    For an explanation on these parameters see roar_simple_play(3).

dir For an explanation on this parameter see roar_simple_stream(3).

RETURN VALUE
On success these calls return a new filehandle. On error, -1 is returned.

EXAMPLES
An example of the use of roar_simple_new_stream_obj() can be found on roarvorbis(1) code.

SEE ALSO
roar_vs_new_simple(3), roar_simple_connect(3), roar_simple_play(3), roar_simple_close(3), libroar(7), RoarAudio(7).